<?php
$ck = 'ck_e053c8194efa9500c5105b97a0d95f3f24845dd9';
$cs = 'cs_68da475989d53a2651d57fcf4d2b40d8ba7cfe22';

$url = 'https://sucasaconectada.com/wp-json/wc/v3/products?consumer_key=' . $ck . '&consumer_secret=' . $cs;
$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); // Solo para pruebas
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Error cURL: ' . curl_error($ch);
} else {
    echo "<pre>";
    print_r(json_decode($response, true));
    echo "</pre>";
}

curl_close($ch);
?>